<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$stagemid=$_POST['stagemid'];
	$stagename=checkvalidstring($_POST['stagename']);
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	 $eve = "select * from res_stage_master where stagename='$stagename' and stagemid !='$stagemid'";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "Status Already Inserted.";
		header('Location: stage.php');
	}
	else
	{

	$eve1 = "update res_stage_master set stagename='$stagename' $tt where stagemid='$stagemid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "Status Record Updated succesfully";

		header('Location: stage.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: stage.php');

	}
	}

?>